/***************************************************************************
 *   Copyright (C) 2007 by Lisandro Damián Nicanor Pérez Meyer             *
 *   perezmeyer@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <QApplication>
#include <QMainWindow>
#include <QVector>
#include <QPointF>
#include "ui/mainwindow.h"

int main(int argc, char *argv[])
{
	/* For every Qt graphical application, we need one QApplication instance */
	QApplication app(argc, argv);

// 	/* We need a main window */
// 	QMainWindow mainWin;
//
// 	/* And a Smith Chart*/
// 	SmithChart * smithChart;
// 	smithChart = new SmithChart();
//
// 	/* We set the main widget */
// 	mainWin.setCentralWidget(smithChart);
//
// 	/* We show the window */
// 	mainWin.showMaximized();
//
// 	smithChart->showLine(true);
//
// 	// Add data
// 	smithChart->setData(1.0, 0.0);
// 	smithChart->setData(5.0, 0.0);
// 	smithChart->setData(1.0, 1.0);
// 	smithChart->setData(0.2, 0.2);
//
// 	QVector<QPointF> testVector;
// 	testVector.append(QPointF(0.1, 0.2));
// 	testVector.append(QPointF(0.2, 0.3));
// 	testVector.append(QPointF(0.55, 0.6));
// 	testVector.append(QPointF(1.2, 0.0));
// 	testVector.append(QPointF(2.0, -1.0));
//
// 	smithChart->setData(testVector);

	MainWindow mainwindow;

	mainwindow.showMaximized();

	/* The return value for the OS is returned by app */
	return app.exec();
}
